//Structure

typedef struct MaillonDep
{
    char departement[31];
    int nbp;
    char resp[51];
    struct MaillonDep* suivant;
} MaillonDep;

typedef struct
{
    char Ville[31];
    MaillonDep* ldept;
} VilleIUT;

#include "../partie2/saeP2.h"

//Consultant

void menuUser(VilleIUT* lvIUT[],int tlogi, int CandidOpen, candidat *tcandidat[]);
    /*
    Menu pour les utilisateurs du système, les candidats.
    Entrée : 
        Tableau des IUT tiut;
        taille logique de tiut tlogi;
        Booléen gérant l'ouverture ou non des candidatures CandidOpen; 
        tableau des candidats tcandidats. 
    Sortie : Aucune
    */
void SearchCityWithIUT(VilleIUT* lvIUT[], int tlogi);
    /*
    Affiche toute les villes possèdant un IUT
    Entrée : 
        Tableau des IUT tiut;
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void DepEachIUT(VilleIUT* lvIUT[], int tlogi);
    /*
    Affiche toute les villes possèdant un IUT et leurs départements
    Entrée : 
        Tableau des IUT tiut;
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void SearchPlaceFromDepInIUT(VilleIUT* lvIUT[],int tlogi);
    /*
    Affiche le nombre de place d'un département précis dans un iut précis.
    Les deux sont entrées par l'utilisateur.
    Entrée : 
        Tableau des IUT tiut;
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void SearchIUTFromDep(VilleIUT* lvIUT[],int tlogi);
    /*
    Affiche toutes les villes possèdant le département entrée par l'utilisateur.
    Entrée : 
        Tableau des IUT tiut;
        taille logique de tiut tlogi;
    Sortie : Aucune
    */

//Admin

void menuAdmin(VilleIUT* tiut[],int* tlogi,int* CandidOpen);
    /*
    Menu pour les administrateurs du système.
    Entrée : 
        Tableau des IUT tiut; 
        taille logique de tiut tlogi;
        booléen indiquant l'ouverture ou fermeture des candidature CandidOpen;
    Sortie : Aucune
    */
void modifPlaces(VilleIUT* tiut[],int tlogi);
    /*
    Permet de modifier les places d'un département dans un IUT.
    Entrée : 
        Tableau des IUT tiut; 
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void creerDep(VilleIUT* tiut[],int tlogi);
    /*
    Permet de créer un département dans un IUT.
    Entrée : 
        Tableau des IUT tiut; 
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void supprimerDep(VilleIUT* tiut[],int tlogi);
    /*
    Permet de supprimer un département dans un IUT.
    Entrée : 
        Tableau des IUT tiut; 
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void modifNomResponsable(VilleIUT* tiut[],int tlogi);
    /*
    Permet de modifier le nom d'un responsable d'un département d'un IUT.
    Entrée : 
        Tableau des IUT tiut; 
        taille logique de tiut tlogi;
    Sortie : Aucune
    */
void creerIUT(VilleIUT* tiut[],int* tlogi);
    /*
    Permet de créer un IUT (quand elle segfault pas.)
    Entrée : 
        Tableau des IUT tiut; 
        taille logique de tiut tlogi;
    Sortie : Aucune
    */